Loading...
Searching...
No Matches
VmaTotalStatistics Struct Reference
Statistics

General statistics from current state of the Allocator - total memory usage across all memory heaps and types. More...

## Public Attributes

VmaDetailedStatistics | memoryType [VK_MAX_MEMORY_TYPES]
VmaDetailedStatistics | memoryHeap [VK_MAX_MEMORY_HEAPS]
VmaDetailedStatistics | total

## Detailed Description

General statistics from current state of the Allocator - total memory usage across all memory heaps and types.

These are slower to calculate. Use for debugging purposes. See function vmaCalculateStatistics().

## Member Data Documentation

## memoryHeap

VmaDetailedStatistics VmaTotalStatistics::memoryHeap[VK_MAX_MEMORY_HEAPS]

## memoryType

VmaDetailedStatistics VmaTotalStatistics::memoryType[VK_MAX_MEMORY_TYPES]

## total

VmaDetailedStatistics VmaTotalStatistics::total

The documentation for this struct was generated from the following file:

- vk_mem_alloc.h